Enthusiast
Enthusiast

vRealize Orchestrator plugin for vCenter 6.7 download

Jump to solution

Upgraded vCenter to 6.7 and some actions are failing on vRA requests, using the 6.5.0 plugin. vRA version is 7.5.0.10044239, build 10044239.

Is there a vCenter 6.7.* plugin for vRealize Orchestrator I can upgrade to? Where is the download? I don't see one on solution exchange.

0 Kudos
1 Solution

Accepted Solutions
VMware Employee
VMware Employee

No, the link you found is for another plug-in (hosted on vSphere Web Client and allows vRO workflows to be launched from vSphere Web Client UI).

The vRO vCenter plug-in builds are available at a different location - https://communities.vmware.com/docs/DOC-32872

However, I think the vCenter plug-in bundled in vRA 7.5 should be compatible with vCenter 6.7. What errors do you get after vCenter upgrade? Note that the plug-in compatibility is on 6.5 API level; that is, you may not be be able to call vCenter APIs that are introduced for the first time in version 6.7, only those that existed up to and including version 6.5.

View solution in original post

0 Kudos
6 Replies
Enthusiast
Enthusiast
0 Kudos
Expert
Expert

Normally the plugin is installed automatically when you add vRO as vCenter extension. There is a built-in workflow for this:

Library > vCenter > Configuration > Registers vCenter Orchestrator as a vCenter Server extension

At least that's how the external Orchestrator (or standalone) works.

However, the version of the vSphere Web Client plugin for vRO does not correspond to the vCenter version. We are currently using vRO 7.5 and the vSphere Web Client Plugin has version 7.3.1 (new installation).

vro-plugin.png

--- Regards, Sebastian VCP6.5-DCV // VCP7-CMA // vSAN 2017 Specialist Please mark this answer as 'helpful' or 'correct' if you think your question has been answered correctly.
0 Kudos
VMware Employee
VMware Employee

No, the link you found is for another plug-in (hosted on vSphere Web Client and allows vRO workflows to be launched from vSphere Web Client UI).

The vRO vCenter plug-in builds are available at a different location - https://communities.vmware.com/docs/DOC-32872

However, I think the vCenter plug-in bundled in vRA 7.5 should be compatible with vCenter 6.7. What errors do you get after vCenter upgrade? Note that the plug-in compatibility is on 6.5 API level; that is, you may not be be able to call vCenter APIs that are introduced for the first time in version 6.7, only those that existed up to and including version 6.5.

View solution in original post

0 Kudos
Enthusiast
Enthusiast

Sorry, I am not the admin that deals with system administration for vCenter or vRA/vRO.

I was getting this error on dynamic dropdown lists that were based on static lists and vRO actions.

Unable to start action 'com.xxxx.vra.ui/getPossibleCustomName'. Reason 'Action 'getPossibleCustomName' in module 'com.xxxx.vra.ui' failed : com.vmware.vim.vmomi.client.exception.VmomiProtocolException: com.vmware.vim.vmomi.core.exception.UnmarshallException: Type 'ServiceContent' contains unrecognized property 'storageQueryManager' (unnamed script#150)'.

The resource that normally troubleshoots vRA/vRO errors, I believe found this issue [  vRealize Orchestrator plugin for vCenter 6.7 download   ]  reported for that error and thought it meant to upgrade the plugin from 6.5 to 6.7 but could not find the plugin download anywhere and asked if knew where it was. I don't believe that he has access to vCenter administration either so could not do it via the instructions from sk84.

The resource said he installed the files from the link I provided, and the error did go away and I am not having any further issues with dropdowns.

However, should we revert the files loaded by that tech preview .zip and install Version 6.5.0.13020710 from the link you provided???

0 Kudos
VMware Employee
VMware Employee

Sorry, I got a bit lost here.

What exactly was installed that caused the error to go away?

The link you provided in reply# 1 and the link I provided in reply# 3 are pointing to totally different things. They have totally different purpose, deploy and run on different servers, have no common use cases, and are not replacements for each other.

0 Kudos
Enthusiast
Enthusiast

Sorry, the resource I am working with told me he installed the zip files from the technical preview link I posted.

HOWEVER, he said he found a plugin somewhere and installed it, but does not remember where:

pastedImage_0.png

That appears to be the latest version from the link you provided, thx!

0 Kudos